﻿// -------------------------------------------------------------------------------------------------------
// LICENSE INFORMATION
//
// - This software is licensed under the MIT shared source license.
// - The "official" source code for this project is maintained at http://mtconnect.codeplex.com
//
// Copyright (c) 2010 OpenNETCF Consulting
//
// Permission is hereby granted, free of charge, to any person obtaining a copy of this software and 
// associated documentation files (the "Software"), to deal in the Software without restriction, 
// including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, 
// and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, 
// subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included in all copies or substantial 
// portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT 
// NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. 
// IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, 
// WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE 
// SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE. 
// -------------------------------------------------------------------------------------------------------

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace OpenNETCF.MTConnect
{
    public static class UnitValues
    {
        public const string Ampere = "AMPERE";
        public const string Celsius = "CELSIUS";
        public const string Count = "COUNT";
        public const string Degree = "DEGREE";
        public const string DegreePerSecond = "DEGREE/SECOND";
        public const string DegreePerSecondSquared = "DEGREE/SECOND^2";
        public const string Hertz = "HERTZ";
        public const string Joule = "JOULE";
        public const string Kilogram = "KILOGRAM";
        public const string Liter = "LITER";
        public const string LiterPerSecond = "LITER/SECOND";
        public const string Millimiter = "MILLIMETER";
        public const string MillimiterPerSecond = "MILLIMETER/SECOND";
        public const string MillimiterPerSecondSquared = "MILLIMETER/SECOND^2";
        public const string Millimiter3D = "MILLIMETER_3D";
        public const string Newton = "NEWTON";
        public const string NewtonMeter = "NEWTON_METER";
        public const string Pascal = "PASCAL";
        public const string Percent = "PERCENT";
        public const string pH = "PH";
        public const string RPM = "REVOLUTION/MINUTE";
        public const string Second = "SECOND";
        public const string Volt = "VOLT";
        public const string Watt = "WATT";
        public const string DegreesPerMinute = "DEGREE/MINUTE";
        public const string Fahrenheit = "FAHRENHEIT";
        public const string Feet = "FOOT";
        public const string FeetPerMinute = "FOOT/MINUTE";
        public const string FeetPerSecond = "FOOT/SECOND";
        public const string FeetPerSecondSquared = "FOOT/SECOND^2";
        public const string Feet3D = "FOOT_3D";
        public const string GallonsPerMinute = "GALLON/MINUTE";
        public const string Inch = "INCH";
        public const string InchesPerMinute = "INCH/MINUTE";
        public const string InchesPerSecond = "INCH/SECOND";
        public const string InchesPerSecondSquared = "INCH/SECOND^2";
        public const string Inches3D = "INCH_3D";
        public const string Kilowatt = "KILOWATT";
        public const string KilowattHour = "KILOWATT_HOUR";
        public const string MillimetersPerMinute = "MILLIMETER/MINUTE";
        public const string Other = "OTHER";
        public const string Pound = "POUND";
        public const string PoundPerSquareInch = "POUND/INCH^2";
        public const string Radians = "RADIAN";
        public const string RadiansPerMinute = "RADIAN/MINUTE";
        public const string RadiansPerSecond = "RADIAN/SECOND";
        public const string RadiansPerSecondSquared = "RADIAN/SECOND^2";
        public const string RevolutionsPerSecond = "REVOLUTION/SECOND";
    }
}
